# 금도 내부 문서

## 📝 개요

이 저장소는 금도에서 사용하는 **서버 인프라 환경(Docker, Nginx)**과 내부 **AI 교육 자료**를 관리하는 문서 저장소입니다.

---

## 🚀 서버 인프라

서버 운영에 필요한 Docker 및 Nginx 관련 설정과 가이드를 포함합니다.

### 🐳 Docker

- **[Docker 환경 리포트](./docker/geumdo_docker_report_240611.md)**: 서버별 Docker 버전 현황과 주요 Docker Compose 프로젝트 정보를 정리한 문서입니다.
- **[Docker 배포 가이드](./docker/deployment_guide.md)**: Docker를 이용한 서비스 배포 절차를 안내하는 가이드입니다.
- **[Docker 예제](./docker/examples/)**: 다양한 Docker 설정 예제 파일들입니다.

### 🌐 Nginx

- **[Nginx 프록시 설정 분석](./nginx/proxy_analysis.md)**: Nginx 리버스 프록시 서버의 주요 설정 파일과 서비스별 프록시 규칙을 상세히 분석한 문서입니다.

---

## 🤖 AI 강의

AI 전문가 양성 과정을 위한 강의 자료입니다. 각 링크를 통해 파트별 학습 내용을 확인할 수 있습니다.

- **[Part 0: 과정 소개](./ai%20lecture/part_0_introduction.md)**
- **[Part 1: AI 개발 환경 구축](./ai%20lecture/part_1_ai_development_environment.md)**
- **[Part 2: Python 핵심 문법](./ai%20lecture/part_2_python_core_syntax.md)**
- **[Part 3: Python 컬렉션](./ai%20lecture/part_3_python_collections.md)**
- **[Part 4: 객체 지향 프로그래밍](./ai%20lecture/part_4_object_oriented_programming.md)**
- **[Part 5: AI 핵심 라이브러리](./ai%20lecture/part_5_ai_core_libraries.md)**
- **[Part 6: 머신러닝](./ai%20lecture/part_6_machine_learning.md)**
- **[Part 7: 딥러닝](./ai%20lecture/part_7_deep_learning.md)**
- **[Part 7.5: LangChain을 활용한 LLM 애플리케이션 개발](./ai%20lecture/part_7.5_llm_application_development_with_langchain.md)**
- **[Part 8: FastAPI를 이용한 모델 서빙](./ai%20lecture/part_8_model_serving_with_fastapi.md)**
- **[Part 9: Production-Ready API](./ai%20lecture/part_9_production_ready_api.md)**
- **[Part 10: AI 전문가 과정](./ai%20lecture/part_10_expert_path.md)**
- **[Part 11: 최종 프로젝트 가이드](./ai%20lecture/part_11_capstone_project_guide.md)**
- **[용어 사전](./ai%20lecture/glossary.md)**
